// @use has to be called before @import
// angular material theme mixins and functions
@use "@angular/material" as mat;

// custom theme mixins
@use "./dist/shared-lib/theme-mixins/footer-theme" as footer;
// @use "./dist/shared-lib/theme-mixins/stepper-theme" as stepper;
// @use "./dist/shared-lib/theme-mixins/workflow-panel-theme" as panel;

// angular material core styles
@include mat.core();

// adds tailwind, remember to add your project to the tailwind.config.js
// @tailwind base;
// @tailwind components;
// @tailwind utilities;

// custom theme
@import "../../../themes/mdoa-theme.scss";

// applies angular material typography styles
@include mat.all-component-typographies();
// applies custom theme to angular material components
@include mat.all-component-themes($mdoa-theme);
// overrides styles of angular material components
@import "./material-style-overrides.scss";

// applies custom theme to custom component
@include footer.theme($mdoa-theme);
// @include stepper.theme($mdoa-theme);
// @include panel.theme($mdoa-theme);

// .nav-toolbar-root {
//   --background-color: black;
//   --font-color: white;
// }

// footer {
//   --background-color: black;
//   --font-color: white;
// }
// * {
//   --background-color: rgb(.rki-blue-bg);
//   --text-color: hsl(0, 2%, 92%);

//   text-align: left;
//   text-decoration: none;
//   font-family: Roboto, "Helvetica Neue", sans-serif;
//   font-size: 1rem;
//   color: var(--text-color) !important;
//   background-color: var(--background-color) !important;
// }

body {
  font-family: "Segoe UI", "Roboto", "Oxygen", "Ubuntu", "Cantarell",
    "Fira Sans", "Droid Sans", "Helvetica Neue", "Helvetica", "Arial",
    sans-serif;
  font-size: 14px;
  text-align: center;
}

html,
body {
  width: 100%;
  height: 100%;
  margin: 0;
}


.mat-mdc-raised-button.mat-primary, .mat-mdc-unelevated-button.mat-primary {
  --mat-mdc-button-persistent-ripple-color: rgb(255,255,255, 1);
  --mat-mdc-button-ripple-color: rgba(0, 0, 0, 1);
}

.mat-mdc-raised-button.mat-primary {
  --mdc-protected-button-container-color:  rgb(17, 24, 39);
  --mdc-protected-button-label-text-color: #4df7c6;
}

// .mat-mdc-raised-button.mat-secondary, .mat-mdc-unelevated-button.mat-secondary {
//   --mat-mdc-button-persistent-ripple-color: #fff;
//   --mat-mdc-button-ripple-color: rgba(255, 255, 255, 0.1);
// }

// .mat-mdc-raised-button.mat-secondary {
//   --mdc-protected-button-container-color: rgb(255, 254, 254);
//   --mdc-protected-button-label-text-color: black;
// }

.mat-mdc-raised-button.mat-accent, .mat-mdc-unelevated-button.mat-accent {
  --mat-mdc-button-persistent-ripple-color: rgb(77, 247, 113);
  --mat-mdc-button-ripple-color: rgba(77, 247, 113, 1);
}

.mat-mdc-raised-button.mat-accent {
  --mdc-protected-button-container-color: #4df7c6;
  --mdc-protected-button-label-text-color: rgb(17, 24, 39);
}
